Package com.io7m.cardant.database.postgres.internal

# Class DefaultSchema

java.lang.Object
org.jooq.impl.SchemaImpl
com.io7m.cardant.database.postgres.internal.DefaultSchema

All Implemented Interfaces:
  `Serializable`, `org.jooq.Named`, `org.jooq.QueryPart`, `org.jooq.QueryPartInternal`, `org.jooq.Schema`

public class DefaultSchema extends org.jooq.impl.SchemaImpl
This class is generated by jOOQ.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final Audit`
  `AUDIT`
  The table `AUDIT`.
  `static final DefaultSchema`
  `DEFAULT_SCHEMA`
  The reference instance of `DEFAULT_SCHEMA`
  `final Files`
  `FILES`
  The table `FILES`.
  `final ItemAttachments`
  `ITEM_ATTACHMENTS`
  The table `ITEM_ATTACHMENTS`.
  `final ItemLocations`
  `ITEM_LOCATIONS`
  The table `ITEM_LOCATIONS`.
  `final ItemLocationsSummed`
  `ITEM_LOCATIONS_SUMMED`
  The table `ITEM_LOCATIONS_SUMMED`.
  `final ItemMetadata`
  `ITEM_METADATA`
  The table `ITEM_METADATA`.
  `final ItemMetadataIntegral`
  `ITEM_METADATA_INTEGRAL`
  The table `ITEM_METADATA_INTEGRAL`.
  `final ItemMetadataMoney`
  `ITEM_METADATA_MONEY`
  The table `ITEM_METADATA_MONEY`.
  `final ItemMetadataReal`
  `ITEM_METADATA_REAL`
  The table `ITEM_METADATA_REAL`.
  `final ItemMetadataText`
  `ITEM_METADATA_TEXT`
  The table `ITEM_METADATA_TEXT`.
  `final ItemMetadataTime`
  `ITEM_METADATA_TIME`
  The table `ITEM_METADATA_TIME`.
  `final ItemSearchView`
  `ITEM_SEARCH_VIEW`
  The table `ITEM_SEARCH_VIEW`.
  `final ItemTypes`
  `ITEM_TYPES`
  The table `ITEM_TYPES`.
  `final Items`
  `ITEMS`
  The table `ITEMS`.
  `final LocationAttachments`
  `LOCATION_ATTACHMENTS`
  The table `LOCATION_ATTACHMENTS`.
  `final LocationMetadata`
  `LOCATION_METADATA`
  The table `LOCATION_METADATA`.
  `final LocationSearchView`
  `LOCATION_SEARCH_VIEW`
  The table `LOCATION_SEARCH_VIEW`.
  `final LocationTypes`
  `LOCATION_TYPES`
  The table `LOCATION_TYPES`.
  `final Locations`
  `LOCATIONS`
  The table `LOCATIONS`.
  `final MetadataTypesRecordFields`
  `METADATA_TYPES_RECORD_FIELDS`
  The table `METADATA_TYPES_RECORD_FIELDS`.
  `final MetadataTypesRecords`
  `METADATA_TYPES_RECORDS`
  The table `METADATA_TYPES_RECORDS`.
  `final MetadataTypesScalar`
  `METADATA_TYPES_SCALAR`
  The table `METADATA_TYPES_SCALAR`.
  `final SchemaVersion`
  `SCHEMA_VERSION`
  The table `SCHEMA_VERSION`.
  `final Users`
  `USERS`
  The table `USERS`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final org.jooq.Name`
  `$name()`
  `protected final org.jooq.DSLContext`
  `create()`
  Deprecated.
  `protected final org.jooq.DSLContext`
  `create(org.jooq.Configuration arg0)`
  Deprecated.
  `protected final org.jooq.DSLContext`
  `create(org.jooq.Context<?> arg0)`
  Deprecated.
  `boolean`
  `declaresCTE()`
  `boolean`
  `declaresFields()`
  `boolean`
  `declaresTables()`
  `boolean`
  `declaresWindows()`
  `boolean`
  `generatesCast()`
  `org.jooq.Catalog`
  `getCatalog()`
  `final String`
  `getComment()`
  `final org.jooq.Comment`
  `getCommentPart()`
  `final String`
  `getName()`
  `org.jooq.Name`
  `getQualifiedName()`
  `final List<org.jooq.Table<?>>`
  `getTables()`
  `final org.jooq.Name`
  `getUnqualifiedName()`
  `int`
  `hashCode()`
  `boolean`
  `rendersContent(org.jooq.Context<?> arg0)`
  `String`
  `toString()`
  `protected final org.jooq.exception.DataAccessException`
  `translate(String arg0, SQLException arg1)`

  ### Methods inherited from class org.jooq.impl.SchemaImpl

  `accept, clauses, domainStream, equals, foreignKeyStream, getDomain, getDomain, getDomains, getForeignKeys, getForeignKeys, getForeignKeys, getIndexes, getIndexes, getIndexes, getPrimaryKeys, getPrimaryKeys, getPrimaryKeys, getSequence, getSequence, getSequences, getTable, getTable, getUDT, getUDT, getUDTs, getUniqueKeys, getUniqueKeys, getUniqueKeys, indexStream, primaryKeyStream, sequenceStream, tableStream, udtStream, uniqueKeyStream`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.jooq.Named

  `$name, getComment, getCommentPart, getName, getQualifiedName, getUnqualifiedName`

  ### Methods inherited from interface org.jooq.QueryPart

  `hashCode, toString`

  ### Methods inherited from interface org.jooq.QueryPartInternal

  `declaresCTE, declaresFields, declaresTables, declaresWindows, generatesCast, rendersContent`

- ## Field Details

  - ### DEFAULT_SCHEMA

    public static final DefaultSchema DEFAULT_SCHEMA
    The reference instance of `DEFAULT_SCHEMA`

  - ### AUDIT

    public final Audit AUDIT
    The table `AUDIT`.

  - ### FILES

    public final Files FILES
    The table `FILES`.

  - ### ITEM_ATTACHMENTS

    public final ItemAttachments ITEM_ATTACHMENTS
    The table `ITEM_ATTACHMENTS`.

  - ### ITEM_LOCATIONS

    public final ItemLocations ITEM_LOCATIONS
    The table `ITEM_LOCATIONS`.

  - ### ITEM_LOCATIONS_SUMMED

    public final ItemLocationsSummed ITEM_LOCATIONS_SUMMED
    The table `ITEM_LOCATIONS_SUMMED`.

  - ### ITEM_METADATA

    public final ItemMetadata ITEM_METADATA
    The table `ITEM_METADATA`.

  - ### ITEM_METADATA_INTEGRAL

    public final ItemMetadataIntegral ITEM_METADATA_INTEGRAL
    The table `ITEM_METADATA_INTEGRAL`.

  - ### ITEM_METADATA_MONEY

    public final ItemMetadataMoney ITEM_METADATA_MONEY
    The table `ITEM_METADATA_MONEY`.

  - ### ITEM_METADATA_REAL

    public final ItemMetadataReal ITEM_METADATA_REAL
    The table `ITEM_METADATA_REAL`.

  - ### ITEM_METADATA_TEXT

    public final ItemMetadataText ITEM_METADATA_TEXT
    The table `ITEM_METADATA_TEXT`.

  - ### ITEM_METADATA_TIME

    public final ItemMetadataTime ITEM_METADATA_TIME
    The table `ITEM_METADATA_TIME`.

  - ### ITEM_SEARCH_VIEW

    public final ItemSearchView ITEM_SEARCH_VIEW
    The table `ITEM_SEARCH_VIEW`.

  - ### ITEM_TYPES

    public final ItemTypes ITEM_TYPES
    The table `ITEM_TYPES`.

  - ### ITEMS

    public final Items ITEMS
    The table `ITEMS`.

  - ### LOCATION_ATTACHMENTS

    public final LocationAttachments LOCATION_ATTACHMENTS
    The table `LOCATION_ATTACHMENTS`.

  - ### LOCATION_METADATA

    public final LocationMetadata LOCATION_METADATA
    The table `LOCATION_METADATA`.

  - ### LOCATION_SEARCH_VIEW

    public final LocationSearchView LOCATION_SEARCH_VIEW
    The table `LOCATION_SEARCH_VIEW`.

  - ### LOCATION_TYPES

    public final LocationTypes LOCATION_TYPES
    The table `LOCATION_TYPES`.

  - ### LOCATIONS

    public final Locations LOCATIONS
    The table `LOCATIONS`.

  - ### METADATA_TYPES_RECORD_FIELDS

    public final MetadataTypesRecordFields METADATA_TYPES_RECORD_FIELDS
    The table `METADATA_TYPES_RECORD_FIELDS`.

  - ### METADATA_TYPES_RECORDS

    public final MetadataTypesRecords METADATA_TYPES_RECORDS
    The table `METADATA_TYPES_RECORDS`.

  - ### METADATA_TYPES_SCALAR

    public final MetadataTypesScalar METADATA_TYPES_SCALAR
    The table `METADATA_TYPES_SCALAR`.

  - ### SCHEMA_VERSION

    public final SchemaVersion SCHEMA_VERSION
    The table `SCHEMA_VERSION`.

  - ### USERS

    public final Users USERS
    The table `USERS`.

- ## Method Details

  - ### getCatalog

    public org.jooq.Catalog getCatalog()
    Specified by:
      `getCatalog` in interface `org.jooq.Schema`
    Overrides:
      `getCatalog` in class `org.jooq.impl.SchemaImpl`

  - ### getTables

    public final List<org.jooq.Table<?>> getTables()
    Specified by:
      `getTables` in interface `org.jooq.Schema`
    Overrides:
      `getTables` in class `org.jooq.impl.SchemaImpl`

  - ### getName

    public final String getName()
    Specified by:
      `getName` in interface `org.jooq.Named`

  - ### getQualifiedName

    public org.jooq.Name getQualifiedName()
    Specified by:
      `getQualifiedName` in interface `org.jooq.Named`

  - ### getUnqualifiedName

    public final org.jooq.Name getUnqualifiedName()
    Specified by:
      `getUnqualifiedName` in interface `org.jooq.Named`

  - ### getComment

    public final String getComment()
    Specified by:
      `getComment` in interface `org.jooq.Named`

  - ### getCommentPart

    public final org.jooq.Comment getCommentPart()
    Specified by:
      `getCommentPart` in interface `org.jooq.Named`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `org.jooq.QueryPart`

  - ### $name

    public final org.jooq.Name $name()
    Specified by:
      `$name` in interface `org.jooq.Named`

  - ### rendersContent

    public boolean rendersContent(org.jooq.Context<?> arg0)
    Specified by:
      `rendersContent` in interface `org.jooq.QueryPartInternal`

  - ### declaresFields

    public boolean declaresFields()
    Specified by:
      `declaresFields` in interface `org.jooq.QueryPartInternal`

  - ### declaresTables

    public boolean declaresTables()
    Specified by:
      `declaresTables` in interface `org.jooq.QueryPartInternal`

  - ### declaresWindows

    public boolean declaresWindows()
    Specified by:
      `declaresWindows` in interface `org.jooq.QueryPartInternal`

  - ### declaresCTE

    public boolean declaresCTE()
    Specified by:
      `declaresCTE` in interface `org.jooq.QueryPartInternal`

  - ### generatesCast

    public boolean generatesCast()
    Specified by:
      `generatesCast` in interface `org.jooq.QueryPartInternal`

  - ### toString

    public String toString()
    Specified by:
      `toString` in interface `org.jooq.QueryPart`
    Overrides:
      `toString` in class `Object`

  - ### create

    @Deprecated protected final org.jooq.DSLContext create()
    Deprecated.

  - ### create

    @Deprecated protected final org.jooq.DSLContext create(org.jooq.Configuration arg0)
    Deprecated.

  - ### create

    @Deprecated protected final org.jooq.DSLContext create(org.jooq.Context<?> arg0)
    Deprecated.

  - ### translate

    protected final org.jooq.exception.DataAccessException translate(String arg0, SQLException arg1)